class NestedSubjectAttributeRenderer < NestedAttributeRenderer
  def attribute_value_to_html(input_value)
    html = ''
    return html if input_value.blank?
    value = parse_value(input_value)
    value.each do |v|
      each_html = ''
      # Identifier
      unless v.dig('subject_identifier').blank?
        label = t('rdms.fields.complex_subject_identifier')
        val = v['subject_identifier'][0]
        each_html += get_row(label, val)
      end
      # Species
      unless v.dig('subject_species').blank?
        label = t('rdms.fields.complex_subject_species')
        val = v['subject_species'][0]
        each_html += get_row(label, val)
      end
      # type
      unless v.dig('subject_type').blank?
        label = t('rdms.fields.complex_subject_type')
        val = v['subject_type'][0]
        each_html += get_row(label, val)
      end
      # sex
      unless v.dig('subject_sex').blank?
        label = t('rdms.fields.complex_subject_sex')
        val = v['subject_sex'][0]
        each_html += get_row(label, val)
      end
      # age
      unless v.dig('subject_age').blank?
        label = t('rdms.fields.complex_subject_age')
        val = v['subject_age'][0]
        each_html += get_row(label, val)
      end
      html += get_inner_html(each_html)
    end
    html_out = get_ouput_html(html)
    %(#{html_out})
  end
end
