namespace :rdms do
  namespace :s3_bucket do
    desc "Create S3 bucket for RDMS uploads"
    task create: :environment do
      if ENV.fetch('USE_S3', false)
        s3 = S3StorageService.new
        s3.init_client
        s3.create_bucket(ENV['S3_FILE_UPLOAD_BUCKET']) unless s3.bucket_exists?(ENV['S3_FILE_UPLOAD_BUCKET'])
      end
    end
  end
end